List RBS volumes
To list all RBS volumes, make a GET request to /v1/remote_block_storage/volumes. You can adjust the list using the query parameters.
Authorization
bearerAuth In: header
Query Parameters
| Field | Details |
|---|---|
label_selector? | stringThis parameter will filter results by labels. More details in the Labels section. |
search_pattern? | stringThis pattern is used to return resources containing the parameter value in its name. |
location_id? | integerA unique identifier of a location. A request to list all the location IDs is described in the Location section. |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/remote_block_storage/volumes?search_pattern=volume"[ { "id": "46dBXa79", "name": "volume_name", "size": 40071, "status": "active", "location_id": 207, "location_code": "AMS207", "flavor_id": 498, "flavor_name": "RBS Flavor name214", "iops": 16027, "bandwidth": 21671, "labels": {}, "ip_address": null, "target_iqn": null, "created_at": "2026-05-28T06:56:28.505Z", "updated_at": "2026-05-28T06:56:28.505Z" }]